Skip to main content
POST
/
v1
/
jobs
/
{job-id}
/
file_attachments
Create a FileAttachment on a Job
curl --request POST \
  --url https://api.tread-horizon.com/v1/jobs/{job-id}/file_attachments \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form 'file=<string>' \
  --form category=Other \
  --form 'description=<string>' \
  --form file.0='@example-file'
{
  "data": {
    "category": "Other",
    "description": "<string>",
    "file_attachable_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "file_attachable_type": "DriverDay",
    "file_url": "<string>",
    "mime_type": "<string>",
    "preview_url": "<string>",
    "preview_mime_type": "<string>",
    "uploaded_by": {
      "type": "User",
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "tread_id": "ABC123",
      "legal_name": "<string>",
      "company_type": "hauler"
    },
    "file_name": "<string>",
    "editable": true,
    "deletable": true,
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.tread.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

The Accept-Language request HTTP header indicates the natural language and locale that the client prefers.

Example:

"en"

Path Parameters

job-id
string<uuid>
required

The ID of the job you're operating on

Body

file
required
category
enum<string>
default:Other
Available options:
Inspection Report,
Site Map,
Scale Ticket (External),
Scale Ticket (Internal),
Timesheet,
Other
description
string

Response

Created

data
FileAttachment-Read · object
required